## dosfstools 1.0-3

=== dosfsck-1/Makefile ===
CC=cc
CPP=$(CC) -E
CFLAGS=-Wall -Wno-parentheses
LDFLAGS=
OBJS=boot.o check.o common.o dosfsck.o fat.o file.o io.o

dosfsck:	$(OBJS)
		$(CC) -o dosfsck $(LDFLAGS) $(OBJS)

.c.o:
		$(CC) -c $(CFLAGS) $*.c

clean:
		rm -f *.o tmp_make

spotless:	clean
		rm -f dosfsck

dep:
		sed '/\#\#\# Dependencies/q' <Makefile >tmp_make
		$(CPP) $(CFLAGS) -MM *.c >>tmp_make
		mv tmp_make Makefile

### Dependencies
boot.o : boot.c common.h dosfsck.h io.h boot.h 
check.o : check.c common.h dosfsck.h io.h fat.h file.h check.h 
common.o : common.c common.h 
dosfsck.o : dosfsck.c common.h dosfsck.h io.h boot.h fat.h file.h check.h 
fat.o : fat.c common.h dosfsck.h io.h fat.h 
file.o : file.c file.h 
io.o : io.c dosfsck.h common.h io.h

## dosfstools 2.8-1osso1

=== debian/changelog ===
dosfstools (2.8-1osso1) unstable; urgency=low

  * Added some stderr output to mkdosfs for progress indication.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 11 Apr 2005 13:14:28 +0300

dosfstools (2.8-1osso) unstable; urgency=low

  * Stripped away dosfsck from package (now it provides only mkdosfs).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 31 Dec 2004 09:43:59 +0200

dosfstools (2.8-1) unstable; urgency=low

  * New upstream version fixing an endless loop.
    (Closes: #87205, #86373, #87590)

 -- Roman Hodek <roman@hodek.net>  Wed, 28 Feb 2001 17:23:16 +0100

dosfstools (2.7-1) unstable; urgency=low

  * New upstream version with various bug fixes. (Closes: #83883)
  * Changed maintainer e-mail addr.

 -- Roman Hodek <roman@hodek.net>  Wed, 14 Feb 2001 12:49:00 +0100

dosfstools (2.6-1) unstable; urgency=low

  * New upstream version with various bug fixes.

 -- Roman Hodek <roman@hodek.net>  Tue, 28 Nov 2000 17:27:35 +0100

dosfstools (2.5-1) unstable; urgency=low

  * New upstream version fixing llseek() on alpha (Closes: #54145)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 7 Jan 2000 09:26:51 +0100

dosfstools (2.4-1) unstable; urgency=low

  * New upstream version fixing compilation problem on alpha (Closes: #48331)

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 26 Oct 1999 09:38:39 +0200

dosfstools (2.3-1) unstable; urgency=low

  * New upstream version:
     - Manpage fixes.
     - Fixed usage message of mkdosfs.
     - Fixed compilation on alpha (llseek).
     - Fixed unaligned accesses on alpha (Closes: #47714)
     - Fixed renaming of files in dosfsck (extension wasn't really
       written). Closes: #45774
  * Remove bashisms from debian/rules.
  * FHS transition.
  * On alpha, omit -O2 and add -fno-strict-aliasing to OPTFLAGS, as
    otherwise the programs fail with unaligned traps.
  * FHS transition (Standards-Version 3.0.1).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 22 Oct 1999 13:30:59 +0200

dosfstools (2.2-1) unstable; urgency=low

  * New upstream version. Closes: #40533
  * Updated copyright file for new location /usr/share/common-licenses/GPL.
  * Updated Standards-Version to 3.0.0.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Tue, 6 Jul 1999 16:07:22 +0200

dosfstools (2.1-1) unstable; urgency=low

  * New upstream version.
  * Also installs symlinks mkfs.vfat and fsck.vfat,so that also
    filesystems listed with type "vfat" in /etc/fstab can be automatically
    checked.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 28 May 1999 11:25:17 +0200

dosfstools (2.0-1) unstable; urgency=low

  * I'm now upstream maintainer, too.
  * Adapted debian/rules for new central Makefile and rewritten to
    debhelper.
  * Fixed harmless warnings in mkdosfs.c and fat.c.
  * mkdosfs.c: Return type of getopt() must be stored in an int, not in a
    char. (Showed up on powerpc, where chars are default unsigned.)
  
 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Fri, 30 Apr 1999 14:37:37 +0200

dosfstools (1.0-16) unstable; urgency=low

  * Both tools are not maintained upstreams anymore, so I take over
    general maintainership now...
  * Both mkdosfs and dosfsck now support the FAT32 format. dosfsck
    automatically detects it. For mkdosfs, 32 is now a valid argument to
    -F, but FAT32 format isn't selected automatically (yet). With FAT32,
    you can also set the number of reserved sectors (-R) and location of
    the boot sector backup (-b) if you like (defaults are reasonable).
  * dosfsck can handle and check VFAT-style long filenames now. It uses
    the long names in listing etc. when available. There are also some
    checks on the structures of LFNs and some fixes for possible problems.
  * Implemented Atari format in both, dosfsck and mkdosfs. Under Atari TOS
    basically the same FAT format is used as under DOS, however, there are
    some little differences. Both tools now automatically select Atari
    format if they run on an Atari. You can switch between standard MS-DOS
    and Atari format with the -A option.
  * Applied patch by Giuliano Procida <gpp10@cus.cam.ac.uk> to add loop
    device support to mkdosfs: Usual floppy sizes are detected and
    parameters (media byte,...) are set up accordingly.
    My own additions to this: Don't die on loop devices that don't have
    such a floppy size, but use some default hd params. Added endianess
    conversions to Giulianos patch.
  * More/better data in boot sector dump of dosfsck -v.
  * Fixed lots of gcc warnings in the source. Removed -Wno-parentheses flag.
  * Made dosfsck -v a bit more verbose.
  * Extended README's for FAT32/LFN.
  * Written a README for Atari format differences.
  * Some minor cleanups in debian/rules.
  * Install README files as README.{mkdosfs,dosfsck,Atari}.gz.
  * AFAIK the tools still have alignment problems on Alpha machines.
    Someone wanted to send me a patch, but I haven't heard from him for
    months...
  * Set Standards-Version to 2.5.0.0 (no changes).

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Wed, 28 Apr 1999 11:06:15 +0200

dosfstools (1.0-15) frozen unstable; urgency=low

  * Applied patch by Juan Cespedes <cespedes@debian.org> to make mkdosfs
    work with newer 2.1 kernels again. (Fixes: #20320)
  * Remove CC=gcc in debian/rules to make cross-compiling possible.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 30 Apr 1998 17:09:08 +0200

dosfstools (1.0-14) frozen unstable; urgency=medium

  * New maintainer
  * Ignore long name directory slots of VFAT, instead of trying to correct
    that "file names". Fixes: #20711
  * Don't consider file names with chars >= 128 to be bad, they're allowed.

 -- Roman Hodek <Roman.Hodek@informatik.uni-erlangen.de>  Thu, 30 Apr 1998 10:00:16 +0200

dosfstools (1.0-13) stable; urgency=low, closes=17389

  * Fixed nasty bug that caused every file with a name like xxxxxxxx.xxx


=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-97   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.

tmpdir=debian/tmp
docdir=$(tmpdir)/usr/share/doc/dosfstools
mandir=$(tmpdir)/usr/share/man
oldmandir=$(tmpdir)/usr/man
ARCH = $(shell dpkg --print-gnu-build-architecture)

ifeq ($(ARCH),alpha)
OPTFLAGS="-fomit-frame-pointer -fno-strict-aliasing"
else
OPTFLAGS="-O2 -fomit-frame-pointer"
endif

build:
	patch -p0 < debian/patches/progress-indication.diff
	make DEBUGFLAGS=-g OPTFLAGS=$(OPTFLAGS)
	touch build

clean:
	make distclean
	rm -f `find -name '*~' -o -name '.#*' -o -name '.new*'`
	rm -rf build
	rm -rf debian/tmp
	rm -f debian/files debian/substvars

binary: binary-indep binary-arch

binary-indep:
# Nothing to be done here

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	make install PREFIX=`pwd`/$(tmpdir)
	install -d $(mandir)/man8
	mv $(oldmandir)/man8/* $(mandir)/man8
	rm -rf $(oldmandir)
	dh_installdocs README.Atari TODO
	# dh_installdocs can't install two "README" files (same name)
	install -m 644 mkdosfs/README $(docdir)/README.mkdosfs
	dh_installchangelogs CHANGES
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_builddeb

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean

## dosfstools 2.8-1osso4

=== Makefile ===
#
# Makefile for dosfstools (mkdosfs and dosfsck)
#

CC = gcc
CPP = $(CC) -E
OPTFLAGS = -O2 -fomit-frame-pointer
WARNFLAGS = -Wall
DEBUGFLAGS = 
CFLAGS = $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)
LDFLAGS =

PREFIX = 
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/usr/man/man8

.PHONY: clean distclean install depend
.EXPORT_ALL_VARIABLES:

all dep clean install:
	$(MAKE) -C mkdosfs $@

distclean:
	$(MAKE) -C mkdosfs $@
	rm -f TAGS .#* .new* \#*# *~

TAGS:
	etags -d -T `find . -name '*.[ch]'`

dist: binary tar

tar: distclean
	cd ..; \
	name="$(notdir $(shell pwd))"; \
	namev="$$name-$(shell perl -ne 'print "$$1\n" if /VERSION.*"(\S+)"/;' version.h)"; \
	mv $$name $$namev; \
	tar cf $$namev.src.tar `find $$namev \( -name CVS -o -path $$namev/debian \) -prune -o ! -type d -print`; \
	gzip -9f $$namev.src.tar; \
	mv $$namev $$name

binary: all
	doit=""; [ root = "`whoami`" ] || doit=sudo; $$doit $(MAKE) binary-sub
	cd tmp; \
	name="$(notdir $(shell pwd))"; \
	namev="$$name-$(shell perl -ne 'print "$$1\n" if /VERSION.*"(\S+)"/;' version.h)"; \
	arch=`uname -m | sed 's/i.86/i386/'`; \
	nameva=$$namev.$$arch.tar; \
	tar cf ../../$$nameva * ; \
	gzip -9f ../../$$nameva
	doit=""; [ root = "`whoami`" ] || doit=sudo; $$doit rm -rf tmp

binary-sub:
	@[ root = "`whoami`" ] || (echo "Must be root for this!"; exit 1)
	mkdir -p tmp/$(SBINDIR) tmp/$(MANDIR)
	$(MAKE) install PREFIX=$(shell pwd)/tmp

# usage: make diff OLDVER=<last-release-number>
diff:
	@if [ "x$(OLDVER)" = "x" ]; then \
		echo "Usage: make diff OLDVER=<last-release-number>"; \
		exit 1; \
	fi; \
	name="$(notdir $(shell pwd))"; \
	namev="$$name-$(shell perl -ne 'print "$$1\n" if /VERSION.*"(\S+)"/;' version.h)"; \
	cvs diff -u -rRELEASE-$(OLDVER) >../$$namev.diff; \
	gzip -9f ../$$namev.diff


# usage: make release VER=<release-number>
release:
	@if [ "x$(VER)" = "x" ]; then \
		echo "Usage: make release VER=<release-number>"; \
		exit 1; \
	fi
	if [ -d CVS ]; then \
		modified=`cvs status 2>/dev/null | awk '/Status:/ { if ($$4 != "Up-to-date") print $$2 }'`; \
		if [ "x$$modified" != "x" ]; then \
			echo "There are modified files: $$modified"; \
			echo "Commit first"; \
			exit 1; \
		fi; \
	fi
	sed "/VERSION/s/\".*\"/\"$(VER)\"/" <version.h >version.h.tmp
	date="`date +'%d %b %Y'`"; sed "/VERSION_DATE/s/\".*\"/\"$$date\"/" <version.h.tmp >version.h
	rm version.h.tmp
	if [ -d CVS ]; then \
		cvs commit -m"Raised version to $(VER)" version.h; \
		cvs tag RELEASE-`echo $(VER) | sed 's/\./-/g'`; \
	fi

=== debian/changelog ===
dosfstools (2.8-1osso4) unstable; urgency=low

  * Fix for llseek() for bug N#31636.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 02 Jun 2006 16:10:56 +0300

dosfstools (2.8-1osso3) unstable; urgency=low

  * Packaging fix for armel architecture (new Scratchbox) (N#29812).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 17 May 2006 15:00:28 +0300

dosfstools (2.8-1osso2) unstable; urgency=low

  * Fixed compilation problem because of kernel header change (N#28584).

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 08 May 2006 18:27:54 +0300

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Roman Hodek <roman@hodek.net>
Standards-Version: 3.0.1

Package: dosfstools
Architecture: any
Depends: ${shlibs:Depends}
Replaces: mkdosfs
Conflicts: mkdosfs
Description: Utilities to create and check MS-DOS FAT filesystems
 Inside of this package there are two utilities to create and to
 check MS-DOS FAT filesystems on either harddisks or floppies under
 Linux.  This version uses the enhanced boot sector/superblock
 format of DOS 3.3+ as well as provides a default dummy boot sector
 code.

=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,9 @@
 docdir=$(tmpdir)/usr/share/doc/dosfstools
 mandir=$(tmpdir)/usr/share/man
 oldmandir=$(tmpdir)/usr/man
-ARCH = $(shell dpkg --print-gnu-build-architecture)
+DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
 
-ifeq ($(ARCH),alpha)
+ifeq ($(DEB_HOST_ARCH),alpha)
 OPTFLAGS="-fomit-frame-pointer -fno-strict-aliasing"
 else
 OPTFLAGS="-O2 -fomit-frame-pointer"

## dosfstools 2.11maemo8-2+0m5

=== Makefile ===
#
# Makefile for dosfstools
#

OPTFLAGS = -D_FILE_OFFSET_BITS=64
WARNFLAGS = -Wall
DEBUGFLAGS = 
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS) $(shell pkg-config --cflags libosso)

PREFIX = 
SBINDIR = $(PREFIX)/sbin
MANDIR = $(PREFIX)/usr/share/man/man8

VPATH = src

all: dosfsck dosfslabel mkdosfs

dosfsck: boot.o check.o common.o fat.o file.o io.o lfn.o dosfsck.o osso-mem.o

dosfslabel: boot.o check.o common.o fat.o file.o io.o lfn.o dosfslabel.o

mkdosfs: mkdosfs.o

osso-mem.o: osso-mem.c osso-mem.h

install: dosfsck dosfslabel mkdosfs
	mkdir -p $(SBINDIR)
	install -m 755 dosfsck $(SBINDIR)
	rm -f $(SBINDIR)/fsck.msdos
	rm -f $(SBINDIR)/fsck.vfat
	ln -s dosfsck $(SBINDIR)/fsck.msdos
	ln -s dosfsck $(SBINDIR)/fsck.vfat
	install -m 755 dosfslabel $(SBINDIR)
	install -m 755 mkdosfs $(SBINDIR)
	rm -f $(SBINDIR)/mkfs.msdos
	rm -f $(SBINDIR)/mkfs.vfat
	ln -s mkdosfs $(SBINDIR)/mkfs.msdos
	ln -s mkdosfs $(SBINDIR)/mkfs.vfat
	mkdir -p $(MANDIR)
	install -m 644 man/dosfsck.8 $(MANDIR)
	rm -f $(MANDIR)/fsck.msdos.8
	ln -s dosfsck.8 $(MANDIR)/fsck.msdos.8
	ln -s dosfsck.8 $(MANDIR)/fsck.vfat.8
	install -m 644 man/dosfslabel.8 $(MANDIR)
	install -m 644 man/mkdosfs.8 $(MANDIR)
	rm -f $(MANDIR)/mkfs.msdos.8
	ln -s mkdosfs.8 $(MANDIR)/mkfs.msdos.8
	ln -s mkdosfs.8 $(MANDIR)/mkfs.vfat.8

clean:
	rm -f *.o

distclean: clean
	rm -f dosfsck dosfslabel mkdosfs

.PHONY: clean distclean install depend

=== debian/changelog ===
dosfstools (1:2.11maemo8-2+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    version has been changed to 1:2.11maemo8-2+0m5

 -- Lyubimkin Eugene <ext-lyubimkin.eugene@nokia.com>  Tue, 27 Jul 2010 10:09:03 +0300

dosfstools (1:2.11maemo8-2) unstable; urgency=low

  * Now we are using GPLv2 code only. Fixes: NB#181086

 -- Andy Shevchenko <ext-andriy.shevchenko@nokia.com>  Mon, 26 Jul 2010 11:24:54 +0300

dosfstools (1:2.11maemo8-1) unstable; urgency=low

  * Re-apply Maemo specific patchset

 -- Andy Shevchenko <ext-andriy.shevchenko@nokia.com>  Fri, 23 Jul 2010 15:44:39 +0300

dosfstools (1:2.11maemo8-0) unstable; urgency=low

  * Derive new version based on GPLv2 code (commit 216568c)

 -- Andy Shevchenko <ext-andriy.shevchenko@nokia.com>  Fri, 23 Jul 2010 14:34:02 +0300

dosfstools (2.11-8) unstable; urgency=low

  * Adding debug package.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Sep 2008 21:52:00 +0200

dosfstools (2.11-7) unstable; urgency=low

  * Adding manpage for dosfslabel, thanks to Francois Wendling
    <frwendling@free.fr> (Closes: #496760).
  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.

 -- Daniel Baumann <daniel@debian.org>  Sat, 20 Sep 2008 21:48:00 +0200

dosfstools (2.11-6) unstable; urgency=high

  * Temporarily disabling bootcode.dpatch since it breaks syslinux,
    thanks to Joey Hess <joeyh@debian.org> (Closes: #489292).

 -- Daniel Baumann <daniel@debian.org>  Fri,  4 Jul 2008 20:28:00 +0200

dosfstools (2.11-5) unstable; urgency=medium

  * Adding patch to mention fsckNNNN.rec files in dosfsck manpage
    (Closes: #444596).
  * Adding patch from Sam Bingner <sam@bingner.com> to add option for using a
    bootcode template (Closes: #303442).
  * Adding patch from Adonikam Virgo <adonikam@virgonet.org> to fix backup
    sector getopt (Closes: #232387, #479794).
  * Adding patch from Karl Tomlinson <karlt@karlt.net> to fix segfaults with
    zero slots in lfn (Closes: #152550, #353198, #356377, #401798).
  * Rediffing 99-conglomeration.dpatch.
  * Adding patch from Eero Tamminen <eero.tamminen@nokia.com> to improve memory
    efficiencey when checking filesystems.
  * Adding patch to list alternative binary names in manpage synopsis
    (Closes: #284983).
  * Adding patch to not deny FAT32 auto-selection in mkdosfs manpage
    (Closes: #414183).
  * Adding patch to not use confusing 'drop' in dosfsck manpage where 'delete'
    in dosfsck manpage where 'delete' is meant (Closes: #134100).
  * Listing alternative binary names in long-description (Closes: #434381).
  * Updating manpage spelling patch to also cover wrong acknowledge header
    (Closes: #306659).
  * Breaking out manpage typos patch.

 -- Daniel Baumann <daniel@debian.org>  Fri, 27 Jun 2008 09:03:00 +0200

dosfstools (2.11-4) unstable; urgency=low

  * Redone debian packaging from scratch.
  * Both stop avoiding -O2 and stop adding -fno-strict-aliasing to OPTFLAGS on
    alpha; seems not to be required anymore.
  * Added patch from Jakub Jelinek <jakub@redhat.com> to support
    -D_FORTIFY_SOURCE=2 (for future use).
  * Added patch from Jeremy Katz <katzj@redhat.com> to add dosfslabel
    (originally by Peter Jones).
  * Added patch from Pavol Rusnak <prusnak@suse.cz> to use O_EXCL in mkdosfs.
  * Added patch from Petr Gajdos <pgajdos@suse.cz> to automatically determine
    sector size of the device.

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Jun 2008 13:13:00 +0200

dosfstools (2.11-3) unstable; urgency=low

  * New maintainer (Closes: #488018).

 -- Daniel Baumann <daniel@debian.org>  Thu, 26 Jun 2008 12:31:00 +0200

dosfstools (2.11-2.3) unstable; urgency=low

  * NMU
  * dpkg --print-gnu-build-architecture is gone, use dpkg-architecture
    instead. Closes: #407192
  * Fixed errors in the mkdosfs manpage that could cause confusion to
    readers, Thanks to Onno Benschop. Closes: #433561 (LP: #126121)

 -- Joey Hess <joeyh@debian.org>  Mon, 10 Sep 2007 15:57:36 -0400

dosfstools (2.11-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Apply Ubuntu patches. Closes: #417673

 -- Andreas Barth <aba@not.so.argh.org>  Sat,  9 Jun 2007 21:18:21 +0000

dosfstools (2.11-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix unaligned memory accesses which cause warnings to appear everytime
    the elilo bootloader script runs.  This has led a number of users to
    believe their install has failed.  Thanks to Khalid Aziz for the patch.
    Closes: #258839.

 -- dann frazier <dannf@debian.org>  Thu,  9 Jun 2005 18:14:45 -0600

dosfstools (2.11-2) unstable; urgency=low

  * Oops, debian/rules overrides OPTFLAGS and therefore the
    -D_FILE_OFFSET_BITS=64 in the toplevel Makefile had no effect; added
    $(shell getconf LFS_CFLAGS) to OPTFLAGS as suggested by Lars Wirzenius in
    #300126. Sorry, I tested a version compiled by the upstream Makefile...
    Closes: #300126, #301254.
  * #302517 was indeed the same as #294177, and fix is the same (use __u8) as
    in 2.11-1. Closes: #302517.

 -- Roman Hodek <roman@hodek.net>  Sun,  3 Apr 2005 13:56:55 +0200

dosfstools (2.11-1) unstable; urgency=low

  * New upstream version (Closes: #293394, #295181, #294177, #270023, #258402,
    #232482, #214656, #286219, #276834, #266254, #128800)

 -- Roman Hodek <roman@hodek.net>  Sat, 12 Mar 2005 17:19:27 +0100

dosfstools (2.10-1) unstable; urgency=low

  * New upstream version:
     - dosfsck: various 64-bit fixes and removed some warnings by Michal
       Cihar <mcihar@suse.cz>
     - mkdosfs: better error message if called without parameters (also
       suggested by Michal)
  * recompilation removed errno@GLIBC_2.0 symbol; Closes: #168540
    (probably already 2.9-1 did)

 -- Roman Hodek <roman@hodek.net>  Mon, 22 Sep 2003 22:15:32 +0200

dosfstools (2.9-1) unstable; urgency=low

  * New upstream version:
   (Closes: #156266, #139198, #152769, #152868, #181196)


=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Andriy Shevchenko <ext-andriy.shevchenko@nokia.com>
Build-Depends: debhelper (>= 5), libosso-dev
Standards-Version: 3.8.0
Homepage: http://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools/
Vcs-Browser: http://git.debian.net/?p=debian/dosfstools.git
Vcs-Git: git://git.debian.net/git/debian/dosfstools.git

Package: dosfstools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(MAKE) distclean
	rm -f build

	dh_clean

build: build-stamp
build-stamp:
	dh_testdir

	$(MAKE) DEBUGFLAGS=-g OPTFLAGS="-O2 -fomit-frame-pointer $(shell getconf LFS_CFLAGS)"

	touch build-stamp

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) PREFIX=$(CURDIR)/debian/dosfstools install

binary: binary-arch

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_strip --dbg-package=dosfstools-dbg
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep:

.PHONY: clean build install binary binary-arch binary-indep

## dosfstools 2.11-0osso1

=== debian/changelog ===
dosfstools (2.11-0osso1) unstable; urgency=low

  * OSSO-packaged dosfstools (used debian scripts from 2.11-2 for guidance).
  * Added patch to mkdosfs to print hash marks for progress indication.
  
 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 20 Nov 2006 18:07:30 +0200

## dosfstools 2.11-0osso2

=== debian/changelog ===
dosfstools (2.11-0osso2) unstable; urgency=low

  * Added patch for dosfsck to print progress indication.
  
 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 08 May 2007 19:46:13 +0300

=== debian/rules ===
#!/usr/bin/make -f
# Copyright  2006 Nokia Corporation. All rights reserved.

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/rules/simple-patchsys.mk
include /usr/share/cdbs/1/rules/utils.mk

DEB_TAR_SRCDIR := dosfstools-2.11
include /usr/share/cdbs/1/rules/tarball.mk

# Use soft-float and thumb mode if it is enabled.
ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -mthumb
endif

configure/dosfstools::
	cd $(DEB_BUILDDIR); sed -ri "s#REPLACE_WITH_PREFIX#$(DEB_DESTDIR)#" Makefile

build/dosfstools::
	cd $(DEB_BUILDDIR); $(MAKE) install

clean::
	rm -f *.cdbs-config_list

## dosfstools 2.11-0osso3

=== debian/changelog ===
dosfstools (2.11-0osso3) unstable; urgency=low

  * Patch for correct logical sector size calculation.
    Thanks to Tilman Vogel for reporting the problem. Fixes: MB#1537

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 15 Jun 2007 12:46:30 +0300

## dosfstools 2.11-0osso4

=== debian/changelog ===
dosfstools (2.11-0osso4) unstable; urgency=low

  * Select backup FAT table in case of selection.
  * Added license text to debian/rules. Fixes: NB#70864

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 25 Sep 2007 11:22:38 +0300

## dosfstools 2.11-0osso5

=== debian/changelog ===
dosfstools (2.11-0osso5) unstable; urgency=low

  * Added osso_mem* magic, preventing eating all system memory. Fixes: NB#71826
  * Added a limit for the 'Cluster N out of range...' messages.
    Fixes: NB#71620

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Thu, 04 Oct 2007 10:59:53 +0300

## dosfstools 2.11-0osso6

=== debian/changelog ===
dosfstools (2.11-0osso6) unstable; urgency=low

  * Trying to fix compilation.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri,  5 Oct 2007 12:33:43 +0300

## dosfstools 2.11-0osso9

=== debian/changelog ===
dosfstools (2.11-0osso9) unstable; urgency=low

  * Return 0 despite what fs_close returns.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 31 Mar 2008 16:33:43 +0300

dosfstools (2.11-0osso8) unstable; urgency=low

  * Silence printf warnings. Patch from Eero.
  * RAM saving patch from Eero. Fixes: NB#80214

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 10 Mar 2008 10:27:57 +0200

dosfstools (2.11-0osso7) unstable; urgency=low

  * Added patches from Debian (2.11-2.3). Fixes: NB#79621

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed, 23 Jan 2008 14:37:27 +0200

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: debhelper, cdbs
Standards-Version: 3.0.1

Package: dosfstools
Architecture: any
Depends: ${shlibs:Depends}
Replaces: mkdosfs
Conflicts: mkdosfs
Description: Utilities to create and check MS-DOS FAT filesystems
 Inside of this package there are two utilities (mkdosfs alias
 mkfs.dos, and dosfsck alias fsck.msdos) to create and to check MS-DOS
 FAT filesystems on either hard disks or floppies under Linux. This
 version uses the enhanced boot sector/superblock format of DOS 3.3+
 as well as provides a default dummy boot sector code.

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,19 @@
 #!/usr/bin/make -f
 # Copyright  2006 Nokia Corporation. All rights reserved.
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License 
+# version 2 as published by the Free Software Foundation. 
+#
+# This program is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA
+# 02110-1301 USA
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/rules/simple-patchsys.mk

## dosfstools 3.0.1

=== Makefile ===
# Makefile
#
# Copyright (C) 2008 Daniel Baumann <daniel@debian.org>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program. If not, see <http://www.gnu.org/licenses/>.
#
# On Debian systems, the complete text of the GNU General Public License
# can be found in /usr/share/common-licenses/GPL-3 file.

DESTDIR =
PREFIX = /usr/local
SBINDIR = $(PREFIX)/sbin
DOCDIR = $(PREFIX)/share/doc
MANDIR = $(PREFIX)/share/man

#OPTFLAGS = -O2 -fomit-frame-pointer -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64
OPTFLAGS = -O2 -fomit-frame-pointer $(shell getconf LFS_CFLAGS)
#WARNFLAGS = -Wall -pedantic -std=c99
WARNFLAGS = -Wall
DEBUGFLAGS = -g
CFLAGS += $(OPTFLAGS) $(WARNFLAGS) $(DEBUGFLAGS)

VPATH = src

all: build

build: dosfsck dosfslabel mkdosfs

dosfsck: boot.o check.o common.o fat.o file.o io.o lfn.o dosfsck.o

dosfslabel: boot.o check.o common.o fat.o file.o io.o lfn.o dosfslabel.o

mkdosfs: mkdosfs.o

rebuild: distclean build

install: install-bin install-doc install-man

install-bin: build
	install -d -m 0755 $(DESTDIR)/$(SBINDIR)
	install -m 0755 dosfsck dosfslabel mkdosfs $(DESTDIR)/$(SBINDIR)

	ln -sf dosfsck $(DESTDIR)/$(SBINDIR)/fsck.msdos
	ln -sf dosfsck $(DESTDIR)/$(SBINDIR)/fsck.vfat
	ln -sf mkdosfs $(DESTDIR)/$(SBINDIR)/mkfs.msdos
	ln -sf mkdosfs $(DESTDIR)/$(SBINDIR)/mkfs.vfat

install-doc:
	install -d -m 0755 $(DESTDIR)/$(DOCDIR)/dosfstools
	install -m 0644 doc/* $(DESTDIR)/$(DOCDIR)/dosfstools

install-man:
	install -d -m 0755 $(DESTDIR)/$(MANDIR)/man8
	install -m 0644 man/*.8 $(DESTDIR)/$(MANDIR)/man8

	ln -sf dosfsck.8 $(DESTDIR)/$(MANDIR)/man8/fsck.msdos.8
	ln -sf dosfsck.8 $(DESTDIR)/$(MANDIR)/man8/fsck.vfat.8
	ln -sf mkdosfs.8 $(DESTDIR)/$(MANDIR)/man8/mkfs.msdos.8
	ln -sf mkdosfs.8 $(DESTDIR)/$(MANDIR)/man8/mkfs.vfat.8

uninstall: uninstall-bin uninstall-doc uninstall-man

uninstall-bin:
	rm -f $(DESTDIR)/$(SBINDIR)/dosfsck
	rm -f $(DESTDIR)/$(SBINDIR)/dosfslabel
	rm -f $(DESTDIR)/$(SBINDIR)/mkdosfs

	rm -f $(DESTDIR)/$(SBINDIR)/fsck.msdos
	rm -f $(DESTDIR)/$(SBINDIR)/fsck.vfat
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.msdos
	rm -f $(DESTDIR)/$(SBINDIR)/mkfs.vfat

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(SBINDIR)

uninstall-doc:
	rm -rf $(DESTDIR)/$(DOCDIR)/dosfstools

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(DOCDIR)

uninstall-man:
	rm -f $(DESTDIR)/$(MANDIR)/man8/dosfsck.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/dosfslabel.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkdosfs.8

	rm -f $(DESTDIR)/$(MANDIR)/man8/fsck.msdos.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/fsck.vfat.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkfs.msdos.8
	rm -f $(DESTDIR)/$(MANDIR)/man8/mkfs.vfat.8

	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(MANDIR)/man8
	rmdir --ignore-fail-on-non-empty $(DESTDIR)/$(MANDIR)

reinstall: distclean install

clean:
	rm -f *.o

distclean: clean
	rm -f dosfsck dosfslabel mkdosfs

.PHONY: build rebuild install install-bin install-doc install-man uninstall uninstall-bin uninstall-doc uninstall-man reinstall clean distclean

## dosfstools 3.0.1-1maemo4+0m5

=== debian/changelog ===
dosfstools (3.0.1-1maemo4+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Wed, 20 May 2009 11:10:53 +0300

dosfstools (3.0.1-1maemo4) unstable; urgency=low

  * Add two patches from Leonid.
  * Fixes: NB#105485 - External memory card is becoming read-only when it is
    renamed.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 19 May 2009 18:11:09 +0300

dosfstools (3.0.1-1maemo3) unstable; urgency=low

  * Add patch from Leonid to add support for -I command line option.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Wed,  1 Apr 2009 13:53:24 +0300

dosfstools (3.0.1-1maemo2) unstable; urgency=low

  * Patches from Leonid for time-limited scan, osso-mem, and dosfsck exit code.
    Fixes: NB#93140
  * Add libosso-dev build dependency for logging macros.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Fri, 13 Feb 2009 10:20:08 +0200

dosfstools (3.0.1-1maemo1) unstable; urgency=low

  Mika:
  * Downgrading required debhelper version to match what is currently
    available in maemo (lvl5)
  * Migrated patches from previous maemo-speficic version of dosfstools
  * Added build-dependency to quilt for handling the patches
  * Fixes: NB#94899, NB#91001

  Kimmo:
  * Keep using cdbs, now fortified with quilt.
  * Add patch for misleading malloc error from Olev. Fixes: NB#91950

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Tue, 27 Jan 2009 09:35:54 +0200

dosfstools (3.0.1-1) unstable; urgency=low

  * Replacing obsolete dh_clean -k with dh_prep.
  * Merging upstream version 3.0.1:
    - Changing some wording to make the indended meaning of "full-disk device"
      more obvious (Closes: #500623).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Nov 2008 22:51:46 +0100

dosfstools (3.0.0-1) unstable; urgency=low

  * Merging upstream version 3.0.0.
  * Updating homepage field in control.
  * Updating upstream information in copyright file.
  * Removing now useless lintian override.
  * Removing now useless manpage.
  * Removing now useless patches.
  * Removing now useless docs.
  * Updating rules to for new upstream.

 -- Daniel Baumann <daniel@debian.org>  Sun, 28 Sep 2008 11:56:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #!/usr/bin/make -f
-# Copyright  2006 Nokia Corporation. All rights reserved.
+# Copyright  2006-2009 Nokia Corporation. All rights reserved.
 #
 # This program is free software; you can redistribute it and/or
 # modify it under the terms of the GNU General Public License 
@@ -16,11 +16,13 @@
 # 02110-1301 USA
 
 include /usr/share/cdbs/1/rules/debhelper.mk
-include /usr/share/cdbs/1/rules/simple-patchsys.mk
+include /usr/share/cdbs/1/rules/patchsys-quilt.mk
 include /usr/share/cdbs/1/rules/utils.mk
 
-DEB_TAR_SRCDIR := dosfstools-2.11
+DEB_TAR_SRCDIR := dosfstools-3.0.1
 include /usr/share/cdbs/1/rules/tarball.mk
+
+DEB_DH_STRIP_ARGS := --dbg-package=dosfstools
 
 # Use soft-float and thumb mode if it is enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
@@ -31,7 +33,8 @@
 	cd $(DEB_BUILDDIR); sed -ri "s#REPLACE_WITH_PREFIX#$(DEB_DESTDIR)#" Makefile
 
 build/dosfstools::
-	cd $(DEB_BUILDDIR); $(MAKE) install
+	cd $(DEB_BUILDDIR); $(MAKE) DESTDIR=$(CURDIR)/debian/dosfstools \
+	                            PREFIX=/usr SBINDIR=/sbin install
 
 clean::
 	rm -f *.cdbs-config_list

## dosfstools 3.0.1-1maemo5+0m5

=== debian/changelog ===
dosfstools (3.0.1-1maemo5+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Mon, 30 Nov 2009 16:31:36 +0200

dosfstools (3.0.1-1maemo5) unstable; urgency=low

  * Fixes: NB#147595 - Improperly packaged dosfstools installs debug symbol
    files to PR release
  * debian/rules: Removed DEB_DH_STRIP_ARGS.

 -- Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>  Mon, 30 Nov 2009 13:29:57 +0200

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Kimmo Hämäläinen <kimmo.hamalainen@nokia.com>
Build-Depends: debhelper (>= 5), quilt (>= 0.40), libosso-dev
Standards-Version: 3.8.0
Homepage: http://www.daniel-baumann.ch/software/dosfstools/
Vcs-Browser: http://git.debian.net/?p=debian/dosfstools.git
Vcs-Git: git://git.debian.net/git/debian/dosfstools.git

Package: dosfstools
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: devel
Priority: extra
Architecture: any
Depends: dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.
 .
 This package contains the debugging symbols.

=== debian/rules ===
--- 
+++ 
@@ -22,8 +22,6 @@
 DEB_TAR_SRCDIR := dosfstools-3.0.1
 include /usr/share/cdbs/1/rules/tarball.mk
 
-DEB_DH_STRIP_ARGS := --dbg-package=dosfstools
-
 # Use soft-float and thumb mode if it is enabled.
 ifneq (,$(findstring thumb,$(DEB_BUILD_OPTIONS)))
         CFLAGS += -mthumb

## dosfstools 3.0.1-1maemo6+0m5

=== debian/changelog ===
dosfstools (3.0.1-1maemo6+0m5) unstable; urgency=low

  * This entry has been added by BIFH queue processor
    Suffix +0m5 added to package revision

 -- Kojo Aapo <aapo.kojo@nokia.com>  Fri, 04 Dec 2009 15:26:36 +0200

dosfstools (3.0.1-1maemo6) unstable; urgency=low

  * Fixes: NB#149497 - Improperly packaged dosfstools installs debug symbol
    files to PR release

 -- Marc Ordinas i Llopis <marc.ordinasillopis@collabora.co.uk>  Fri, 4 Dec 2009 13:54:20 +0200

## dosfstools 3.0.11

=== debian/changelog ===
dosfstools (3.0.11-1) experimental; urgency=low

  * Merging upstream version 3.0.11.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 24 Dec 2010 18:08:19 +0100

dosfstools (3.0.10-1) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Merging upstream version 3.0.10:
    - Fixes problem in dosfsck with false positives in bad_name() when running
      in interactive mode (Closes: #596327).
    - Updates LFN when renaming or deleting short filename (Closes: #596329).
  * Updating standards version to 3.9.1.

 -- Daniel Baumann <daniel@debian.org>  Sun, 12 Sep 2010 09:39:52 +0200

dosfstools (3.0.9-1) unstable; urgency=low

  * Updating to standards 3.8.4.
  * Merging upstream version 3.0.9:
    - fixes regression with aligning (Closes: #567337).

 -- Daniel Baumann <daniel@debian.org>  Sun, 31 Jan 2010 08:34:41 +0100

dosfstools (3.0.8-1) unstable; urgency=low

  * Updating year in copyright file.
  * Merging upstream version 3.0.8.

 -- Daniel Baumann <daniel@debian.org>  Sat, 23 Jan 2010 10:19:23 +0100

dosfstools (3.0.7-1) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Merging upstream version 3.0.7:
    - Fixes dosfslabel to set volume label in the right place (Closes: #559985).

 -- Daniel Baumann <daniel@debian.org>  Thu, 24 Dec 2009 10:57:15 +0100

dosfstools (3.0.6-1) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Sorting depends.
  * Adding misc depends to debug package.
  * Shortening long description of debug package.
  * Minimizing rules file.
  * Bumping versioned build-depends on debhelper.
  * Removing not used patch from debian directory.
  * Merging upstream version 3.0.6.

 -- Daniel Baumann <daniel@debian.org>  Sun, 04 Oct 2009 11:06:57 +0200

dosfstools (3.0.5-1) unstable; urgency=low

  * Merging upstream version 3.0.5:
    - fixes bug from VFAT patent avoidance patch that can resultin data loss
      (Closes: #538758).

 -- Daniel Baumann <daniel@debian.org>  Mon, 27 Jul 2009 14:38:51 +0200

dosfstools (3.0.4-1) unstable; urgency=low

  * Adding reference to #502961 in previous changelog entry.
  * Updating section of the debug package.
  * Merging upstream version 3.0.4.
  * Updating package to standards version 3.8.2.

 -- Daniel Baumann <daniel@debian.org>  Tue, 21 Jul 2009 08:17:00 +0200

dosfstools (3.0.3-1) unstable; urgency=low

  * Merging upstream version 3.0.3:
    - Also declaring arm as an unaligned architecture, see Debian bug #502961.
  * Tidy rules file.
  * Upgrading to standards 3.8.1.
  * Rewriting copyright file for upstream version 3.x.
  * Using correct rfc-2822 date formats in changelog.

 -- Daniel Baumann <daniel@debian.org>  Mon, 18 May 2009 15:23:49 +0200

dosfstools (3.0.2-1) unstable; urgency=low

  * Merging upstream version 3.0.2.
  * Removing double files.
  * Prefixing debhelper files with package name.
  * Updating year in copyright.

 -- Daniel Baumann <daniel@debian.org>  Sat, 28 Feb 2009 09:57:00 +0100

=== debian/control ===
Source: dosfstools
Section: otherosfs
Priority: optional
Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
Uploaders: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.1
Homepage: http://www.daniel-baumann.ch/software/dosfstools/
Vcs-Browser: http://git.debian-maintainers.org/?p=daniel/dosfstools.git
Vcs-Git: git://git.debian-maintainers.org/git/daniel/dosfstools.git

Package: dosfstools
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: utilities for making and checking MS-DOS FAT filesystems
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This version uses the enhanced boot sector/superblock format of DOS 3.3+ as
 well as provides a default dummy boot sector code.

Package: dosfstools-dbg
Section: debug
Priority: extra
Architecture: any
Depends: ${misc:Depends}, dosfstools (= ${binary:Version})
Description: utilities for making and checking MS-DOS FAT filesystems (debug)
 The dosfstools package includes the mkdosfs (aka mkfs.dos and mkfs.vfat) and
 dosfsck (aka fsck.msdos and fsck.vfat) utilities, which respectively make and
 check MS-DOS FAT filesystems on hard drives or on floppies.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_test:
	# disabled

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/dosfstools PREFIX=/usr SBINDIR=/sbin

	# Removing useless files
	rm -f debian/dosfstools/usr/share/doc/dosfstools/ChangeLog

override_dh_strip:
	dh_strip --dbg-package=dosfstools-dbg

## dosfstools 3.0.12

=== debian/changelog ===
dosfstools (3.0.12-1ubuntu1) precise; urgency=low

  * Merge from Debian testing, remaining changes:
    - debian/patches/02_fat32_label.patch: resolve an error thrown by
      dosfslabel when trying to label.
  * Dropped changes, superseded in Debian:
    - build-depend on quilt: Debian is source format 3.0 (quilt).
    - debian/patches/01_fix_sector_count.patch: included upstream.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 19 Dec 2011 15:25:47 -0800

dosfstools (3.0.12-1) unstable; urgency=low

  * Merging upstream version 3.0.12.
  * Updating to standards version 3.9.2.
  * Removing vcs fields.
  * Updating maintainer and uploaders fields.
  * Updating year in copyright.
  * Making packaging distribution neutral.
  * Removing references to my old email address.
  * Sorting overrides in rules.
  * Using compression level 9 also for binary packages.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 29 Oct 2011 08:53:43 +0200

dosfstools (3.0.9-1ubuntu3) oneiric; urgency=low

  * Apply patch from Jaroslav Škarvada <jskarvad@redhat.com> to resolve
    an error thrown by dosfslabel when trying to label. (LP: #794943)
    https://bugzilla.redhat.com/show_bug.cgi?id=693662

 -- Daniel T Chen <crimsun@ubuntu.com>  Sat, 20 Aug 2011 16:27:45 -0400

dosfstools (3.0.9-1ubuntu2) oneiric; urgency=low

  * Actually add quilt to the control file.

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Wed, 08 Jun 2011 02:02:32 -0700

dosfstools (3.0.9-1ubuntu1) oneiric; urgency=high

  * Added debian/patches/01_fix_sector_count.patch (LP: #794043)
    - Fix a bug where sector counts would be off-by-one due to a division
      error. Required for OMAP3/4 bootROM to always be happy with a partition

 -- Michael Casadevall <mcasadevall@ubuntu.com>  Tue, 07 Jun 2011 03:29:05 -0700

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,11 @@
 Source: dosfstools
 Section: otherosfs
 Priority: optional
-Maintainer: Daniel Baumann <daniel@lists.debian-maintainers.org>
-Uploaders: Daniel Baumann <daniel@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
 Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 Homepage: http://www.daniel-baumann.ch/software/dosfstools/
-Vcs-Browser: http://git.debian-maintainers.org/?p=daniel/dosfstools.git
-Vcs-Git: git://git.debian-maintainers.org/git/daniel/dosfstools.git
 
 Package: dosfstools
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh ${@}

override_dh_auto_install:
	dh_auto_install -- DESTDIR=$(CURDIR)/debian/dosfstools PREFIX=/usr SBINDIR=/sbin

	# Removing useless files
	rm -f debian/dosfstools/usr/share/doc/dosfstools/ChangeLog

override_dh_auto_test:
	# disabled

override_dh_builddeb:
	dh_builddeb -- -Zgzip -z9

override_dh_strip:
	dh_strip --dbg-package=dosfstools-dbg
